Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.wml.dom
Class WMLGoElementImpl

    java.lang.Object
      weblogic.apache.xerces.dom.NodeImpl
          weblogic.apache.xerces.dom.ChildNode
              weblogic.apache.xerces.dom.ParentNode
                  weblogic.apache.xerces.dom.ElementImpl
                      weblogic.apache.wml.dom.WMLElementImpl
                          weblogic.apache.wml.dom.WMLGoElementImpl

All Implemented Interfaces:
  Serializable, Cloneable, Element, EventTarget, Node, NodeList, WMLElement, WMLGoElement

Deprecated. 9.2.0.0 Replaced by org.apache.wml.dom.WMLGoElementImpl.

    public class WMLGoElementImpl

extends WMLElementImpl
implements WMLGoElement

See Also:
  Serialized Form

Field Summary

Fields inherited from class weblogic.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class weblogic.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, IDATTRIBUTE, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE, UNNORMALIZED`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`WMLGoElementImpl(WMLDocumentImpl owner, String tagName)` Deprecated.

Method Summary
`String` | `getAcceptCharset()` Deprecated.
`String` | `getClassName()` Deprecated.
`String` | `getHref()` Deprecated.
`String` | `getId()` Deprecated.
`String` | `getMethod()` Deprecated.
`String` | `getSendreferer()` Deprecated.
`void` | `setAcceptCharset(String newValue)` Deprecated.
`void` | `setClassName(String newValue)` Deprecated. The 'class' attribute of a element that affiliates an elements with one or more elements.
`void` | `setHref(String newValue)` Deprecated.
`void` | `setId(String newValue)` Deprecated. The element's identifier which is unique in a single deck.
`void` | `setMethod(String newValue)` Deprecated.
`void` | `setSendreferer(String newValue)` Deprecated.

Methods inherited from class weblogic.apache.wml.dom.WMLElementImpl
`getXmlLang, setXmlLang`

Methods inherited from class weblogic.apache.xerces.dom.ElementImpl
`cloneNode, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getBaseURI, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttributeNode, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class weblogic.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, insertBefore, item, removeChild, replaceChild, setTextContent, synchronizeChildren`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareTreePosition, dispatchEvent, getFirstChild, getInterface, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, getUserData, hasChildNodes, isDefaultNamespace, isSameNode, isSupported, lookupNamespacePrefix, lookupNamespaceURI, needsSyncChildren, removeEventListener, setNodeValue, setPrefix, setTextContent, setUserData, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Constructor Detail

### WMLGoElementImpl

    public WMLGoElementImpl(WMLDocumentImpl owner,
                            String tagName)

  Deprecated.

Method Detail

### setSendreferer

    public void setSendreferer(String newValue)

  Deprecated.
  Specified by:
    `setSendreferer` in interface `WMLGoElement`

### getSendreferer

    public String getSendreferer()

  Deprecated.
  Specified by:
    `getSendreferer` in interface `WMLGoElement`

### setAcceptCharset

    public void setAcceptCharset(String newValue)

  Deprecated.
  Specified by:
    `setAcceptCharset` in interface `WMLGoElement`

### getAcceptCharset

    public String getAcceptCharset()

  Deprecated.
  Specified by:
    `getAcceptCharset` in interface `WMLGoElement`

### setHref

    public void setHref(String newValue)

  Deprecated.
  Specified by:
    `setHref` in interface `WMLGoElement`

### getHref

    public String getHref()

  Deprecated.
  Specified by:
    `getHref` in interface `WMLGoElement`

### setClassName

    public void setClassName(String newValue)

  Deprecated.
  Description copied from interface: `WMLElement`
  The 'class' attribute of a element that affiliates an elements with one or more elements. (Section 8.9, WAP WML Version 16-Jun-1999)

  Specified by:
    `setClassName` in interface `WMLElement`
  Overrides:
    `setClassName` in class `WMLElementImpl`

### getClassName

    public String getClassName()

  Deprecated.
  Specified by:
    `getClassName` in interface `WMLElement`
  Overrides:
    `getClassName` in class `WMLElementImpl`

### setId

    public void setId(String newValue)

  Deprecated.
  Description copied from interface: `WMLElement`
  The element's identifier which is unique in a single deck. (Section 8.9, WAP WML Version 16-Jun-1999)

  Specified by:
    `setId` in interface `WMLElement`
  Overrides:
    `setId` in class `WMLElementImpl`

### getId

    public String getId()

  Deprecated.
  Specified by:
    `getId` in interface `WMLElement`
  Overrides:
    `getId` in class `WMLElementImpl`

### setMethod

    public void setMethod(String newValue)

  Deprecated.
  Specified by:
    `setMethod` in interface `WMLGoElement`

### getMethod

    public String getMethod()

  Deprecated.
  Specified by:
    `getMethod` in interface `WMLGoElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD